<!-- 中弹窗 二行文字 -->
<template>
	<uni-popup ref="svipPopup" :animation="false" :is-mask-click="false"
	 mask-background-color="rgba(255, 255, 255, 0.6);">
	 <view class="ezy-svip-dialog">
		<view class="tip-content-box">
		
			<icon :class="'svip-img'+cardId"></icon>
			<view class="tip-content">开通SVIP会员解锁学习关卡</view>
			<view class="tip-btn-box">
				<view class="not-confirm-btn" @click="handleClose"></view>
				<view class="confirm-btn" @click="confirmBtn"></view>
			</view>
		</view>
	 </view>
	</uni-popup>
</template>

<script setup>
	import { ref } from 'vue';
	import cacheManager from "@/utils/cacheManager.js";
	const props = defineProps({
	  title: {
	    type: String,
	    default: '提示'
	  },
	  content: {
	    type: String,
		require: true,
	    default: ''
	  },
	});
	const cardId =cacheManager.get('auth').cardId
	const svipPopup = ref(null); // 索引
	const $emit = defineEmits(['confirm-btn'])
	// 打开弹窗
	function handleShow() {
		svipPopup.value.open();
	}
	// 取消
	function handleClose() {
		svipPopup.value.close();
	}
	// 确认
	function confirmBtn(){
		$emit('confirm-btn');
		svipPopup.value.close();
	}
	defineExpose({
			handleShow
		})
</script>

<style>
</style>